Group: Other

%global     snapdate        20120702
%global     rev             355e2ee
%global     alphatag        %{snapdate}git%{rev}

# The source for this package was pulled from upstream's git.
# Use the following commands to generate the tarball:
# git clone https://github.com/bioinfornatics/gdesklets-citation.git
# cd gdesklets-citation; git rev-parse --short HEAD            -> for rev
# git archive --prefix=gdesklets-citation-%%{alphatag}/ HEAD | xz > ../gdesklets-citation-%%{alphatag}.xz

Name:           gdesklets-citation
Version:        2.0
Release:        alt1_3.%{alphatag}
Summary:        Display quote
License:        GPLv3+
URL:            http://www.gdesklets.de
Source0:        %{name}-%{alphatag}.xz

BuildArch:      noarch


Requires:       gdesklets
Source44: import.info

%description
Display quote in french periodically from your wallpaper

%description -l fr
Affiche des citations en français de puis le fond écran

%prep
%setup -q -n %{name}-%{alphatag}

%build

%install
mkdir -p %{buildroot}/%{_datadir}/gdesklets/Displays/%{name}/bg
cp      -rp    bg               %{buildroot}/%{_datadir}/gdesklets/Displays/%{name}/
install -m0644 citation.display %{buildroot}/%{_datadir}/gdesklets/Displays/%{name}/
install -m0644 citation.py      %{buildroot}/%{_datadir}/gdesklets/Displays/%{name}/
install -m0644 citation.png     %{buildroot}/%{_datadir}/gdesklets/Displays/%{name}/

%files
%doc COPYING
%{_datadir}/gdesklets/Displays/%{name}

%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 2.0-alt1_3.20120702git355e2ee
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 2.0-alt1_2.20120702git355e2ee
- initial fc import

